org.apache.ignite.internal.processors.marshaller

## Class MarshallerMappingTransport

- java.lang.Object
- - org.apache.ignite.internal.processors.marshaller.MarshallerMappingTransport

    public final class MarshallerMappingTransport
    extends Object

Provides capabilities of sending custom discovery events to propose new mapping or request missing mapping to `MarshallerContextImpl`. For more information about particular events see documentation of `GridMarshallerMappingProcessor`.

### Method Summary

All Methods Instance Methods Concrete Methods
`GridFutureAdapter<MappingExchangeResult>` `awaitMappingAcceptance(MarshallerMappingItem item, ConcurrentMap<Integer,MappedName> cache)`
`void` `markStopping()`
`GridFutureAdapter<MappingExchangeResult>` `proposeMapping(MarshallerMappingItem item, ConcurrentMap<Integer,MappedName> cache)`
`GridFutureAdapter<MappingExchangeResult>` `requestMapping(MarshallerMappingItem item, ConcurrentMap<Integer,MappedName> cache)`
`boolean` `stopping()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### awaitMappingAcceptance

    public GridFutureAdapter<MappingExchangeResult> awaitMappingAcceptance(MarshallerMappingItem item,
                                                                           ConcurrentMap<Integer,MappedName> cache)

Parameters:
  `item` - Item.
  `cache` - Cache.

#### proposeMapping

    public GridFutureAdapter<MappingExchangeResult> proposeMapping(MarshallerMappingItem item,
                                                                   ConcurrentMap<Integer,MappedName> cache)
                                                            throws IgniteCheckedException

Parameters:
  `item` - Item.
  `cache` - Cache.
Throws:
  `IgniteCheckedException`

#### requestMapping

    public GridFutureAdapter<MappingExchangeResult> requestMapping(MarshallerMappingItem item,
                                                                   ConcurrentMap<Integer,MappedName> cache)

Parameters:
  `item` - Item.
  `cache` - Cache.

#### markStopping

    public void markStopping()

#### stopping

    public boolean stopping()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021